"""Add Compose model and build m2m relationship with ArtifactBuild

Revision ID: 6004dadc9ac4
Revises: 90f8444d5ab7
Create Date: 2017-12-21 10:18:32.008115

"""

# revision identifiers, used by Alembic.
revision = '6004dadc9ac4'
down_revision = '90f8444d5ab7'

from alembic import op
import sqlalchemy as sa


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('composes',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('odcs_compose_id', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('artifact_build_composes',
    sa.Column('build_id', sa.Integer(), nullable=False),
    sa.Column('compose_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['build_id'], ['artifact_builds.id'], ),
    sa.ForeignKeyConstraint(['compose_id'], ['composes.id'], ),
    sa.PrimaryKeyConstraint('build_id', 'compose_id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('artifact_build_composes')
    op.drop_table('composes')
    # ### end Alembic commands ###
